import LRU from "lru-cache";
type LRUCacheOptions = LRU.SharedOptions<string, any> & LRU.LimitedByCount & LRU.LimitedBySize<string, any> & LRU.LimitedByTTL & {
    /**
     * The maximum allowed size for any single item in the cache.
     *
     * If a larger item is passed to set or returned by a
     * fetchMethod, then it will not be stored in the cache.
     */
    maxEntrySize?: number;
    sizeCalculation?: LRU.SizeCalculator<string, any>;
};
export interface LRUDriverOptions extends Partial<LRUCacheOptions> {
}
declare const _default: (opts?: LRUDriverOptions | undefined) => import("../types").Driver;
export default _default;
